/* Header:      terrain.h */
/* Description: This file defines all the exportable functions for terrain.c */

/* constants */

#define HEIGHT_FACTOR 0.05		/* number of world coords per height map intensity unit */
#define GRID_FACTOR 1.0			/* number of world coords per height map grid space */
#define TEX_SCALE 0.1			/* scale factor for detail texture */
#define WATER_TEX_SCALE 0.1		/* scale factor for water texture */

#define WATER_HEIGHT 5			/* upper limit of water in height map */
#define SHORE_HEIGHT 12			/* upper limit of shore in height map */
#define GRASS_HEIGHT 120		/* upper limit of grass in height map */
#define ROCK_HEIGHT 150			/* start of snow in height map */

#define WATER_COLOUR_R 0.48		/* colour of water areas */
#define WATER_COLOUR_G 0.6
#define WATER_COLOUR_B 0.72
#define GRASS_COLOUR_R 0.0		/* colour of grass areas */
#define GRASS_COLOUR_G 0.6
#define GRASS_COLOUR_B 0.0
#define SNOW_COLOUR_R 1.0		/* colour of snow areas */
#define SNOW_COLOUR_G 1.0
#define SNOW_COLOUR_B 1.0

#define AMBIENT_LIGHT_R 0.4		/* ambient light colour */
#define AMBIENT_LIGHT_G 0.4
#define AMBIENT_LIGHT_B 0.4
#define LIGHT_COLOUR_R 0.6		/* diffuse light colour */
#define LIGHT_COLOUR_G 0.6
#define LIGHT_COLOUR_B 0.6
#define LIGHT_ANGLE_X 0.5774	/* direction of light source */
#define LIGHT_ANGLE_Y -0.5774
#define LIGHT_ANGLE_Z 0.5774

/* functions */

extern void make_terrain(char filename[]);
extern void render_terrain();
